Bug Tracker – Bug 1218

"Drasticaly" lower FPS on new SDL2 builds

Last modified: 2019-01-03 22:46:06 CST
Bug 1218 - "Drasticaly" lower FPS on new SDL2 builds
Summary: "Drasticaly" lower FPS on new SDL2 builds
Status: RESOLVED FIXED
Alias: None
Product: Odamex
Classification: Unclassified
Component: Client (show other bugs)
Version: 0.7.x (Old)
Hardware: All All
: P1 major
Assignee: Odamex Bug Reporter
URL:
Depends on:
Blocks:
 
Reported: 2017-01-18 08:21 CST by capo
Modified: 2019-01-03 22:46 CST (History)
3 users (show)

See Also:

Attachments

Add an attachment (proposed patch, testcase, etc.)

Note You need to log in before you can comment on or make changes to this bug.
Description capo 2017-01-18 08:21:41 CST
Tested some builds from october (still SDL1). And some new SDL2 builds. I got way lower FPS in SDL2. I tested in lower resolutions. On SDL1 i got 450 fps now around 300 in SDL2. Just wanted to you guys know. Probably needs some more optimalizition. I was testing 32/64 bit builds, its same...
Comment 1 capodecima 2019-01-02 16:41:07 CST
The fps is ok after all. At least same like in sdl1(0.7).
Comment 2 Ralph Vickers 2019-01-03 22:46:06 CST
Reporter says fixed. Marking closed.